IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME='POS_CONNECT_TIPO_OPERACAO')
BEGIN


	CREATE TABLE #POS_CONNECT_TIPO_OPERACAO (
			CD_TIPO_OPERACAO int NOT NULL,
			NOME varchar(100) NOT NULL,
			DESCRICAO varchar(255)
			)
			
	INSERT INTO #POS_CONNECT_TIPO_OPERACAO
	VALUES (1, N'Débito', N'Tipo de operação Débito'),
		   (2, N'Crédito', N'Tipo de operação Crédito');


	INSERT INTO POS_CONNECT_TIPO_OPERACAO (CD_TIPO_OPERACAO, NOME, DESCRICAO)
	SELECT *
	FROM #POS_CONNECT_TIPO_OPERACAO T
	WHERE NOT EXISTS (SELECT 1 FROM POS_CONNECT_TIPO_OPERACAO B
					  WHERE B.CD_TIPO_OPERACAO = T.CD_TIPO_OPERACAO)
END
